# Class MessageFactory

java.lang.Object
org.apache.el.util.MessageFactory

public final class MessageFactory extends Object
Factory for creating localized EL messages.

## Constructor Summary

Constructors
Constructor
Description
`MessageFactory(ResourceBundle bundle)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`static String`
`get(String key)`
Get a localized message.
`static String`
`get(String key, Object... args)`
Get a localized message with arguments.
`protected String`
`getInternal(String key)`
Get a message from the bundle.
`protected String`
`getInternal(String key, Object... args)`
Get a message from the bundle with arguments.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MessageFactory

public MessageFactory(ResourceBundle bundle)
Constructor.

Parameters:
  `bundle` - the resource bundle

## Method Details

### get

public static String get(String key)
Get a localized message.

Parameters:
  `key` - the message key
Returns:
  the message

### get

public static String get(String key, Object... args)
Get a localized message with arguments.

Parameters:
  `key` - the message key
  `args` - the arguments
Returns:
  the message

### getInternal

protected String getInternal(String key)
Get a message from the bundle.

Parameters:
  `key` - the message key
Returns:
  the message

### getInternal

protected String getInternal(String key, Object... args)
Get a message from the bundle with arguments.

Parameters:
  `key` - the message key
  `args` - the arguments
Returns:
  the message